Plank.DockItemProvider – plank Reference Manual

# DockItemProvider

## Object Hierarchy:

## Description:

public class DockItemProvider : DockContainer

A container and controller class for managing dock items.

All known sub-classes:

- ApplicationDockItemProvider

- DefaultApplicationDockItemProvider

Namespace: Plank
Package: plank

## Content:

### Creation methods:

- public DockItemProvider ()
  Creates a new container for dock items.

### Methods:

- public virtual bool item_exists_for_uri (string uri)
  Whether a dock item with the given URI exists in this provider.
- public virtual weak DockItem? item_for_uri (string uri)
  Get the dock item for the given URI if it exists or null.
- public virtual bool add_item_with_uri (string uri, DockItem? target = null)
  Adds a dock item with the given URI to the collection.
- public override bool can_accept_drop (ArrayList<string> uris)
- public override bool accept_drop (ArrayList<string> uris)
- protected override void connect_element (DockElement element)
- protected override void disconnect_element (DockElement element)
- protected virtual void handle_item_deleted (DockItem item)
- public virtual string[] get_dockitem_filenames ()
  Get ordered array of dockitem-filenames handled by this provider

### Inherited Members:

All known members inherited from class Plank.DockContainer

- VisibleElements
- Elements
- move_element
- prepare
- add
- prepend
- add_all
- remove

- remove_all
- clear
- update_visible_elements
- move_to
- reset_buffers
- replace
- connect_element

- disconnect_element
- elements_changed
- states_changed
- positions_changed
- placeholder_item
- visible_elements
- internal_elements

All known members inherited from class Plank.DockElement

- Container
- Text
- IsAttached
- IsVisible
- Button
- ClickedAnimation
- HoveredAnimation
- ScrolledAnimation
- AddTime
- RemoveTime
- LastClicked
- LastHovered

- LastScrolled
- LastUrgent
- LastActive
- LastMove
- LastValid
- create_menu_item
- create_menu_item_with_pixbuf
- clicked
- on_clicked
- hovered
- on_hovered
- scrolled

- on_scrolled
- get_dock
- get_menu_items
- get_drop_text
- can_be_removed
- can_accept_drop
- accept_drop
- unique_id
- as_uri
- reset_buffers
- needs_redraw

All known members inherited from class GLib.Object

- @new
- new_valist
- newv
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- freeze_notify
- @get

- get_class
- get_data
- get_property
- get_qdata
- get_type
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set

- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- steal_data
- steal_qdata
- thaw_notify
- unref
- weak_ref
- weak_unref
- notify
- ref_count